26

I tried to download "ECMConfig.cmake" from repository, but terminal gives me an error: "question's title + The following configuration files were considered but not accepted: ECMConfig.cmake : version is unknowed. I tried to search on Google, but got nothing. I wanted to compile from source "kde frameworks" using this command:

cmake .. -DCMAKE_INSTALL_PREFIX=/home/john/QtProjects/KDEStuff/frameworkintegration/build/ 
         -DCMAKE_BUILD_TYPE=debugfull -DCMAKE_PREFIX_PATH=/home/john/Downloads/

P.S:
"/home/john/Downloads/" - where my *.cmake is.

38

Try to clone, compile and install the extra-cmake-modules KDE project. 

git clone git://anongit.kde.org/extra-cmake-modules
cd extra-cmake-modules
mkdir build && cd build    
cmake ..
make && sudo make install
  • Too bad that these commands did not work in my case. I've got CMake Error at /usr/local/share/ECM/modules/ECMQueryQmake.cmake:23 with message QMake call failed: No such file or directory even after execution of all above. Update is appreciated. – im_infamous Jun 20 '16 at 18:54
  • @im_infamous Please check that last command sudo make install was succesfull. – Diego Lopez Jun 23 '16 at 11:52
9

In my case I simply had to install the extra-cmake-modules package.

Your Answer

By clicking "Post Your Answer", you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.